System.ServiceModel 4.0.0.0 System.Object

Both RSS and Atom support protocol extensibility with additional namespace-qualified elements. An XML element not specifically defined in the RSS or Atom specifications can be present at the feed or item level as long as the namespace of that element does not match the root namespace of the enclosing feed. Element extensions can be added to various classes including:

The syndication object model makes this extensibility easier using , which can be placed in a .

A class that represents a syndication element extension.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified object.

  The data contract object used to initialize the extension.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The that contains the content of the new .
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified object and data contract serializer.

  The data contract object used to initialize the extension.
  The data contract serializer to use.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified object and XML serializer.

  The object used to initialize the extension.
  The XML serializer to use.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified outer name, outer namespace, and object.

  The name of the enclosing XML element.
  The namespace of the enclosing XML element.
  The object used to initialize the extension.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified outer name, outer namespace, object, and data contract serializer.

  The name of the enclosing XML element.
  The namespace of the enclosing XML element.
  The object used to initialize the extension.
  The data contract serializer to use.
- Method
  4.0.0.0
  TExtension To be added.

  Gets the object that represents the element extension.

  An object of the specified type that contains the element extension.

  The type of the extension to retrieve.
- Method
  4.0.0.0
  TExtension `` To be added.

  Gets the object that represents the element extension.

  An object of the specified type that contains the element extension.

  The to use. The type of the extension to retrieve.
- Method
  4.0.0.0
  TExtension `` To be added.

  Gets the object that represents the element extension.

  An object of the specified type that contains the element extension.

  The to use. The type of the extension to retrieve.
- Method
  4.0.0.0
  System.Xml.XmlReader To be added.

  Gets the associated with the .

  The associated with the .

- Property
  4.0.0.0
  System.String To be added.

  The outer name of the following element extension is custom.

  `<feed xmlns:mg="http://contoso.com"> ....<mg:custom> some text </mg:custom> </feed>`

  Gets the outer name of the element extension.

- Property
  4.0.0.0
  System.String To be added.

  The outer namespace of the following custom element is mg.

  `<feed xmlns:mg="http://contoso.com"> <mg:custom> some text </mg:custom> </feed>`

  Gets the outer namespace of the element extension.

- Method
  4.0.0.0
  System.Void `` To be added.

  Writes the current extension to the specified .

  The to write to.